Bug 222438 - "gcc -print-file-name" doesn't print an error for a bad library name
"gcc -print-file-name" doesn't print an error for a bad library name
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gcc4 (Show other bugs)
6
All Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-12 10:30 EST by Robert P. J. Day
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-13 02:38:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert P. J. Day 2007-01-12 10:30:12 EST
$ gcc -print-file-name=<name>

where <name> is not a valid library name simply echoes the name back, rather
than printing an appropriate diagnostic:

$ gcc -print-file-name=libc.so
/usr/lib/gcc/i386-redhat-linux/4.1.1/../../../libc.so
$ gcc -print-file-name=libm.so
/usr/lib/gcc/i386-redhat-linux/4.1.1/../../../libm.so
$ gcc -print-file-name=jakub
jakub

That last response is less than truly informative.
Comment 1 Jakub Jelinek 2007-01-13 02:38:06 EST
That's the standard behavior of that switch for more than a decade, changing
it would break many scripts.

Note You need to log in before you can comment on or make changes to this bug.